DEFAULT_TAG <- "UNK"


setClass("DefaultTagger",
    representation(
      defaultTag = "character", # the tag to attach to each token
      "Tagger"  # extends the tagger virtual class
    ),
    prototype(defaultTag = DEFAULT_TAG)
)

# A constructor for defaultTaggers
DefaultTagger <- function(defaultTag = DEFAULT_TAG) {
  return(new("DefaultTagger", defaultTag = defaultTag))
}

# Checks if this is a valid defaultTagger object
setValidity("DefaultTagger", function(object) {
    return(TRUE)
})

# Access the tag of the given defaultTagger
setMethod("defaultTag", "DefaultTagger", 
  function(object) {
    return(object@defaultTag)
  }
)
  
# Set the tag of the given defaultTagger
setMethod("defaultTag<-", 
          signature(object = "DefaultTagger", value = "character"), 
  function(object, value) {
    object$defaultTag <- value
    return(object)
  }
)
