setClass("DirectoryCorpusReader",
    representation(
        "CorpusReader",
        pattern     =   "character",
        fullNames   =   "logical"
    ),
    prototype(
        pattern     =   ".*",
        fullNames   =   FALSE
    )
)


"DirectoryCorpusReader" <-
# A constructor function
function(pattern=".*", fullNames=FALSE) {
    return(new("DirectoryCorpusReader", pattern=pattern, fullNames=fullNames))
}


"getDirectoryCorpusReaderPattern" <-
# Returns the pattern of this DirectoryCorpusReader
function(object) {
    return(object@pattern)
}
setMethod("pattern", "DirectoryCorpusReader", getDirectoryCorpusReaderPattern)


"setDirectoryCorpusReaderPattern" <-
# Sets the pattern of this DirectoryCorpusReader
function(object, value) {
    object@pattern <- value
    return(object)
}
setMethod("pattern<-", 
    signature(object="DirectoryCorpusReader", value="character"),
    setDirectoryCorpusReaderPattern)


"getDirectoryCorpusReaderFullNames" <-
# Returns TRUE if this DirectoryCorpusReader will set the document ids to the
# full path, FALSE otherwise
function(object) {
    return(object@fullNames)
}
setMethod("fullNames", "DirectoryCorpusReader", 
    getDirectoryCorpusReaderFullNames)


"setDirectoryCorpusReaderFullNames" <-
# Sets whether this DirectoryCorpusReader should set the document ids to the
# full path
function(object, value) {
    object@fullNames <- value
    return(object)
}
setMethod("fullNames<-", 
    signature(object="DirectoryCorpusReader", value="logical"),
    setDirectoryCorpusReaderFullNames)
