"filterCorpusDocuments" <-
# Returns a new corpus containing only the documents such that 
# f(doc) == TRUE. If negate is TRUE, then returns a new corpus containing
# only the documents such that f(doc) == FALSE.
function(object, f, negate=FALSE) {

    docs <- documents(object)
    fn <- f
    if (negate) {
        fn <- function(x) !f(x)
    }

    newDocs <- list()
    for (did in names(docs)) {
        doc <- docs[[did]]
        if (fn(doc)) {
            newDocs[[did]] <- doc
        }
    }

    newCorpus <- Corpus(id(object), newDocs)
    return(newCorpus)

}
setMethod("filterDocuments", signature(object="Corpus", f="function"), 
    filterCorpusDocuments)
