"filterRegex" <- 
# Filters out any tokens that don't match the given pattern (or that do match
# given pattern if negate=TRUE).
function(object, pattern, negate=FALSE) {
    grepFn <- function(x) {
        indices <- grep(pattern, x, perl=TRUE)
        n <- length(x)
        res <- rep(FALSE, n)
        res[indices] <- TRUE
        return(res)
    }
    return(filterTokens(object, grepFn, negate))
}
setMethod("filterTokensRegex", signature(pattern="character"), filterRegex)
