"getTokenizedCorpusDf" <- 
# Returns the document frequency of terms (the number of documents a given
# term occurs in) from the given TokenizedCorpus object
function(object) {
    dtm <- documentTokenMatrix(object)
    dtm[ dtm > 0 ] <- 1
    dfvec <- apply(dtm, 2, sum)
    return(dfvec)
}
setMethod("df", signature("TokenizedCorpusView"), getTokenizedCorpusDf)


"getTokenizedCorpusIdf" <-
# Returns the inverse document frequency of terms idf(t) = log(D/df(t)) 
# where D is the number of documents in the corpus and df(t) is the document
# frequency of the term
function(object) {
    D <- length(corpus(object))
    dfvec <- df(object)
    return( log(D/dfvec) )
}
setMethod("idf", signature("TokenizedCorpusView"), getTokenizedCorpusIdf)


"getCorpusDf" <-
# Tokenizes the given corpus and returns the df
function(object) {
    return(df(tokenize(object)))
}
setMethod("df", signature("Corpus"), getCorpusDf)


"getCorpusIdf" <-
# Tokenizes the given corpus and returns the idf
function(object) {
    return(idf(tokenize(object)))
}
setMethod("idf", signature("Corpus"), getCorpusIdf)
