"characterLowercase" <-
# Uses R's built in tolower function
function(x) {
    return(tolower(x))
}
setMethod("lowercase", "character", characterLowercase)


"tokenizedViewLowercase" <-
# Returns a lowercase version of the tokens in the given tokenized view
function(x) {
    return(applyToTokens(x, lowercase))
}
setMethod("lowercase", "TokenizedDocumentView", tokenizedViewLowercase)
setMethod("lowercase", "TokenizedCorpusView", tokenizedViewLowercase)


"documentLowercase" <-
# Makes the content of the given document lowercase
function(x) {
    txt <- tolower(content(x))
    content(x) <- txt
    return(x)
}
setMethod("lowercase", "Document", documentLowercase)


"corpusLowercase" <-
# Makes the content of the documents in the given corpus lowercase
function(x) {
    docs <- documents(x)
    for (docId in names(docs)) {
        docs[[docId]] <- lowercase(docs[[docId]])
    }
    documents(x) <- docs
    return(x)
}
setMethod("lowercase", "Corpus", corpusLowercase)
