# Tokenizes a string object based on offsets.  Offsets are integer
# counts into the character string.  For example, the set of offsets
# [1, 7, 22] would split a string up into the ranges 1-6, 7-21, and
# 22-end.
setClass("OffsetTokenizer",
    representation(
        offset = "integer",
        "Tokenizer"
    )
)

"isValidOffsetTokenizer" <-
# A valid regexTokenizer object should have a single regex pattern and a
# single matchToken value
function(object) {
    if (all(sort(object@offset) != object@offset))
      return("Offsets must be strictly increasing")
    return(TRUE)
}
setValidity("OffsetTokenizer", isValidOffsetTokenizer)

setMethod("offsets", "OffsetTokenizer",
  function(object) {
    return(object@offset)
  }
)

setMethod("offsets<-", signature(object="OffsetTokenizer"),
  function(object, value) {
    if (all(sort(value) != value))
      stop("Offset vector must be strictly increasing")

    object@offset <- value
  }
)

"OffsetTokenizer" <-
# Creates a new regexTokenizer
function(offset) {
    return(new("OffsetTokenizer", offset=as.integer(offset)))
}

