"readCorpusFromDir" <-
# Reads the files in the given directory according to the given 
# DirectoryCorpusReader object and returns them as a corpus. src should
# be a character path to a directory.
function(src, format, ...) {

    files <- list.files(src, pattern=pattern(format), 
        full.names=fullNames(format))

    docList <- list()
    for (file in files) {
        path <- file
        if (!fullNames(format)) {
            path <- file.path(src, file)
        } 
        isDir <- file.info(path)$isdir
        if (!isDir) {
            doc <- readDocument(path, id=file)
            docList[[file]] <- doc
        }
    }

    corp <- Corpus(documents=docList)

    return(corp)
    
}
setMethod("readCorpus", 
    signature(src="character", format="DirectoryCorpusReader"),
    readCorpusFromDir)

# Make DirectoryCorpusReader the default
setMethod("readCorpus", signature(src="character", format="missing"),
    function(src, format, ...) {
        return(readCorpus(src, DirectoryCorpusReader(), ...))
    }
)
