"removePunctFromChar" <-
# Removes the punctuation from the given character
function(object) {
    return(gsub("[[:punct:]]", " ", object))
}
setMethod("removePunct", "character", removePunctFromChar)


"removePunctFromDocument" <-
# Removes the punctuation from the content of the given Document and returns
# a new document
function(object) {
    txt <- removePunct(content(object))
    doc <- Document(id(object), txt)
    return(doc)
}
setMethod("removePunct", "Document", removePunctFromDocument)


"removePunctFromCorpus" <-
# Removes the punctuation from each document in the corpus and returns a
# new corpus
function(object) {
    return(applyToDocuments(object, removePunct))
}
setMethod("removePunct", "Corpus", removePunctFromCorpus)


"removePunctFromTokenizedView" <-
# Removes the punctuation tokens from the given TokenizedDocumentView or
# TokenizedCorpusView.
function(object) {
    return(filterTokensRegex(object, "^[[:punct:]]+$", negate=TRUE))
}
setMethod("removePunct", "TokenizedDocumentView", 
    removePunctFromTokenizedView)
setMethod("removePunct", "TokenizedCorpusView", 
    removePunctFromTokenizedView)
