"testCorpus" <- function() {

    docs <- list()
    doc1 <- Document("doc1", "doc1 text")
    docs[["doc1"]] <- doc1
    doc2 <- Document("doc2", "doc2 text")
    docs[["doc2"]] <- doc2


    corp1 <- Corpus("corp1", docs)
    checkTrue(is(corp1, "Corpus"))
    checkEquals(id(corp1), "corp1", "get id")
    checkEquals(length(corp1), 2, "corpus length")

    cDocs1 <- documents(corp1)
    checkEquals(length(cDocs1), 2, "docs length")

    for (did in names(cDocs1)) {
        doc <- cDocs1[[did]]
        checkTrue(is(doc, "Document"), paste(did, "is document"))
        checkEquals(id(doc), did, "id of doc == name in list")
    }

    badList <- list(a="foo", b="bar")

    # XXX checkException doesn't catch these - figure out a way to do this 
    # test
    #checkException(Corpus("badCorp", badList), "pass constructor bad doclist")
    #checkException( documents(corp1) <- badList, "set docs w/bad doclist")

    getDoc1 <- corp1["doc1"]
    checkTrue(is(getDoc1, "Document"), "document accessor returns doc")

    checkTrue(hasDocument(corp1, "doc1"), "has doc using string")
    checkTrue(hasDocument(corp1, docs[["doc1"]]), "has doc using doc")

    newDoc <- Document("newDoc", "text")
    corp1["newDoc"] <- newDoc
    checkEquals(length(corp1), 3, "add document to corpus")
    checkTrue(hasDocument(corp1, "newDoc"), "has new doc")

}
