"testTokenizedCorpusView" <- function() {

    doc1 <- Document("doc1", "to be or not to be")
    doc2 <- Document("doc2", "to be or not to be a jerk")
    docs <- list(doc1=doc1, doc2=doc2)

    corp <- Corpus("corp", docs)

    tokenizer <- RegexTokenizer("\\s+", matchToken=FALSE)
    tcorp <- tokenize(corp, tokenizer)

    checkTrue(is(tcorp, "CorpusView"), "is CorpusView")
    checkTrue(is(tcorp, "TokenizedCorpusView"), "is TokenizedCorpusView")

    gotCorp <- corpus(tcorp)
    checkEquals(id(gotCorp), "corp", "has corpus object")

    expectedUnique <- c("a", "be", "jerk", "not", "or", "to")
    gotUnique <- sort(unique(tcorp))
    checkEquals(expectedUnique, gotUnique, "unique")

    expectedMat <- matrix(c(0, 2, 0, 1, 1, 2, 1, 2, 1, 1, 1, 2), 2, 6, 
        byrow=TRUE) 
    docNames <- c("doc1", "doc2")
    colnames(expectedMat) <- expectedUnique
    rownames(expectedMat) <- docNames
    gotMat <- documentTokenMatrix(tcorp)
    checkEquals(expectedMat, gotMat[docNames, expectedUnique], 
        "get td matrix")

    views <- documentViews(tcorp)
    checkEquals(length(views), 2, "has 2 views")
    for (did in names(views)) {
        docView <- views[[did]]
        checkTrue(is(docView, "TokenizedDocumentView"), 
            paste(did, "is TokenizedDocumentView"))
    }




}
