"testTokenziedDocumentView" <- function() {

    str <- "to be or not to be"
    doc <- Document("doc", str)

    tokenizer <- RegexTokenizer("\\s+", matchToken=FALSE)

    tdoc <- tokenize(doc, tokenizer)
    checkTrue(is(tdoc, "DocumentView"), "is DocumentView")
    checkTrue(is(tdoc, "TokenizedDocumentView"), "is TokenizedDocumentView")
    checkEquals(id(document(tdoc)), "doc", "get document")

    expectedTable <- table(c("to", "be", "or", "not", "to", "be"))
    gotTable <- freqTable(tdoc)
    checkEquals(names(gotTable), names(expectedTable), "same table names")
    checkEquals(as.vector(gotTable), as.vector(expectedTable), 
        "same table values")

    expectedUnique <- c("be", "not", "or", "to")
    gotUnique <- sort(unique(tdoc))
    checkEquals(gotUnique, expectedUnique, "uniqueTokens")

    checkEquals(tdoc[2], "be", "access using brackets")
    checkEquals(tdoc[2:3], c("be", "or"), "access using brackets with vector")

    checkTrue(has("be", tdoc), "has token")
    checkTrue(!has("foo", tdoc), "doesn't have token")

    checkEquals(freq("to", tdoc), 2, "freq of token")
    checkEquals(freq("foo", tdoc), 0, "freq of token not in list")

}
