"testApplyToDocuments" <- function() {

    doc1 <- Document("doc1", "doc1 some text")
    doc2 <- Document("doc2", "doc2 other text")
    corp <- Corpus("corp", list(doc1=doc1, doc2=doc2))

    fn <- function(doc) {
        newContent <- gsub(" ", "\n", content(doc))
        content(doc) <- newContent
        return(doc)
    }

    corp2 <- applyToDocuments(corp, fn)
    checkTrue(is(corp2, "Corpus"), "returns a corpus")
    checkTrue(hasDocument(corp2, doc1), "has doc1")    
    checkTrue(hasDocument(corp2, doc2), "has doc2")    

    checkEquals(content(corp2["doc1"]), "doc1\nsome\ntext", "changed doc1")
    checkEquals(content(corp2["doc2"]), "doc2\nother\ntext", "changed doc2")

}
