beeFn <- function(x) ifelse( x == "be", "bee", x )
doc <- Document("doc", "to be or not to be")
corp <- Corpus("corp", list(doc=doc))
tokenizer <- RegexTokenizer("\\s+", FALSE)
expected <- c("to", "bee", "or", "not", "to", "bee")

"testApplyToTokensDocView" <- function() {
    tdoc <- tokenize(doc, tokenizer)
    tdoc2 <- applyToTokens(tdoc, beeFn)
    checkTrue(is(tdoc2, "TokenizedDocumentView"), "result is td view")
    checkEquals(tokens(tdoc2), expected, "apply to doc view")
}

"testApplyToCorpusView" <- function() {
    tcorp <- tokenize(corp, tokenizer)
    tcorp2 <- applyToTokens(tcorp, beeFn)
    checkTrue(is(tcorp2, "TokenizedCorpusView"), "result is tc view")
    checkEquals(sort(unique(tcorp2)), sort(unique(expected)), 
        "apply to corp view")
}

"testApplyToDoc" <- function() {
    tdoc <- applyToTokens(doc, beeFn)
    checkTrue(is(tdoc, "TokenizedDocumentView"), "result is td view")
    checkEquals(tokens(tdoc), expected, "apply to doc")
}

"testApplyToCorp" <- function() {
    tcorp <- applyToTokens(corp, beeFn)
    checkEquals(sort(unique(tcorp)), sort(unique(expected)), 
        "apply to corp")
}
