"testFilterDocuments" <- function() {

    doc1 <- Document("doc1", "doc1 some text")
    doc2 <- Document("doc2", "doc2 other text")
    corp <- Corpus("corp", list(doc1=doc1, doc2=doc2))
    
    filterFn <- function(doc) return(id(doc) == "doc1")

    corp2 <- filterDocuments(corp, filterFn)
    checkEquals(length(corp2), 1, "corp2 has length 1")
    checkTrue(hasDocument(corp2, doc1), "has doc1")

    corp3 <- filterDocuments(corp, filterFn, negate=TRUE)
    checkEquals(length(corp3), 1, "corp3 has length 1")
    checkTrue(hasDocument(corp3, doc2), "has doc2")

}
