filterFn <- function(x) return(x != "be")
doc <- Document("doc", "to be or not to be")
corp <- Corpus("corp", list(doc=doc))
tokenizer <- RegexTokenizer("\\s+", FALSE)
expected1 <- c("to", "or", "not", "to")
expected2 <- c("be", "be")

"testFilterTokenizedDocumentViewTokens" <- function() {
    tdoc <- tokenize(doc)
    tdoc2 <- filterTokens(tdoc, filterFn)
    checkEquals(tokens(tdoc2), expected1, "filter td view")
    tdoc3 <- filterTokens(tdoc, filterFn, negate=TRUE)
    checkEquals(tokens(tdoc3), expected2, "filter td view (negated)")
}

"testFilterTokenizedCorpusViewTokens" <- function() {
    tcorp <- tokenize(corp)
    tcorp2 <- filterTokens(tcorp, filterFn)
    checkEquals(sort(unique(tcorp2)), sort(unique(expected1)), 
        "filter tc view")
    tcorp3 <- filterTokens(tcorp, filterFn, negate=TRUE)
    checkEquals(sort(unique(tcorp3)), sort(unique(expected2)), 
        "filter tc view (negated)")
}

"testFilterDocumentTokens" <- function() {
    tdoc <- filterTokens(doc, filterFn)
    checkEquals(tokens(tdoc), expected1, "filter doc")
    tdoc2 <- filterTokens(doc, filterFn, negate=TRUE)
    checkEquals(tokens(tdoc2), expected2, "filter doc (negated)")
}

"testFilterCorpusTokens" <- function() {
    tcorp <- filterTokens(corp, filterFn)
    checkEquals(sort(unique(tcorp)), sort(unique(expected1)), "filter corp")
    tcorp2 <- filterTokens(corp, filterFn, negate=TRUE)
    checkEquals(sort(unique(tcorp2)), sort(unique(expected2)), 
        "filter corp (negated)")
}
