"testFilterTokensDf" <- function() {

    strs <- c( "a b c", "a b", "a c", "a c d")
    docs <- list()
    i <- 1
    for (s in strs) {
        docs[[paste("doc", i)]] <- Document(paste("doc", i), s)
        i <- i + 1
    }
    corp <- tokenize(Corpus("corp", docs))

    corp1 <- filterTokensDf(corp, min=2)
    checkEquals( has("a", corp1), TRUE, "test 1a" )
    checkEquals( has("b", corp1), TRUE, "test 1b" )
    checkEquals( has("c", corp1), TRUE, "test 1c" )
    checkEquals( has("d", corp1), FALSE, "test 1d" )

    corp2 <- filterTokensDf(corp, min=2, max=3)
    checkEquals( has("a", corp2), FALSE, "test 2a" )
    checkEquals( has("b", corp2), TRUE, "test 2b" )
    checkEquals( has("c", corp2), TRUE, "test 2c" )
    checkEquals( has("d", corp2), FALSE, "test 2d" )

    corp3 <- filterTokensDf(corp, min=0.3, max=0.8)
    checkEquals( has("a", corp3), FALSE, "test 3a" )
    checkEquals( has("b", corp3), TRUE, "test 3b" )
    checkEquals( has("c", corp3), TRUE, "test 3c" )
    checkEquals( has("d", corp3), FALSE, "test 3d" )

}
