doc <- Document("doc", "Here is some TEXT")
corp <- Corpus("corp", list(doc=doc))

"testLowercaseDoc" <- function() {
    lcdoc <- lowercase(doc)
    checkTrue(is(lcdoc, "Document"), "returns doc")
    checkEquals(id(lcdoc), "doc", "preserves doc id")
    checkEquals(content(lcdoc), "here is some text", "lowercases content")
}

"testLowercaseCorpus" <- function() {
    lccorp <- lowercase(corp)
    checkTrue(is(lccorp, "Corpus"), "returns corpus")
    checkEquals(id(lccorp), "corp", "preserves id")
    checkEquals( content(lccorp["doc"]), "here is some text", 
        "lowercase content")
}

"testLowercaseTokenized" <- function() {
    tdoc <- tokenize(doc)
    lctdoc <- lowercase(tdoc)
    checkTrue(is(lctdoc, "TokenizedDocumentView"), "returns td view")
    checkEquals(tokens(lctdoc), c("here", "is", "some", "text"), 
        "lowercases tokens")
}
