"testReadCorpusFromDir" <- function() {

    dcr <- DirectoryCorpusReader("anna\\.txt|hero\\.txt")
    dirPath <- system.file("samples/en", package="text2num")

    corp <- readCorpus(dirPath, dcr)
    checkEquals(length(corp), 2, "read 2 docs")
    checkTrue(hasDocument(corp, "anna.txt"), "has anna.txt")
    checkTrue(hasDocument(corp, "hero.txt"), "has hero.txt")
    checkTrue( nchar( content(corp["anna.txt"]) ) > 0, "read content")

    fullNames(dcr) <- TRUE
    corp2 <- readCorpus(dirPath, dcr)
    fullAnna <- file.path(dirPath, "anna.txt")
    checkTrue(hasDocument(corp2, fullAnna), "with fullNames")

    # test the default
    corp3 <- readCorpus(dirPath)
    checkTrue(length(corp3) > 0, "using default dcr")

    # load 0 files
    dcr2 <- DirectoryCorpusReader("^$")
    corp4 <- readCorpus(dirPath, dcr2)
    checkEquals(length(corp4), 0, "corpus with zero docs")

}
