str <- "This is a string, a string with punctuation!"
doc <- Document("doc", str)
corp <- Corpus("corp", list(doc=doc))
expected <- c("This", "is", "a", "string", "a", "string", "with", 
    "punctuation")

"testRemovePunctChar" <- function() {

    got <- removePunct(str)
    expected <- "This is a string  a string with punctuation "
    checkEquals(got, expected, "remove punct from string")

}

"testRemovePunctDocCorp" <- function() {

    got <- removePunct(doc)
    checkTrue(is(got, "Document"), "returns Document object")
    expected <- "This is a string  a string with punctuation "
    checkEquals(content(got), expected, "remove punct from doc")

    got2 <- removePunct(corp)
    checkTrue(is(got2, "Corpus"), "returns Corpus object")
    checkEquals(content(got2["doc"]), expected, "remove punct from corp")
    
}

"testRemovePunctTokenizedView" <- function() {
    tdoc <- tokenize(doc)
    got <- removePunct(tdoc)
    checkTrue(is(got, "TokenizedDocumentView"), "returns td view")
    checkEquals(tokens(got), expected, "removes punct tokens from list")
}
