str <- "Going to the store for eggs."
doc <- Document("doc", str)
corp <- Corpus("corp", list(doc=doc))
tokenizer <- RegexTokenizer("\\s+", FALSE)
expected1 <- c("Go", "to", "the", "store", "for", "egg", ".")
expected2 <- c("Go", "to", "the", "store", "for", "eggs.")

"testSnowballStemChar" <- function() {
    got1 <- stem(str)
    checkEquals(got1, expected1, "stem with default tokenizer")
    got2 <- stem(str, tokenizer=tokenizer)
    checkEquals(got2, expected2, "stem with given tokenizer")
}

"testStemTokenizableObject" <- function() {

    got1 <- stem(doc)
    checkTrue(is(got1, "TokenizedDocumentView"), "returns td view")
    checkEquals(tokens(got1), expected1, "returns stemmed tokens")

    got2 <- stem(doc, tokenizer=tokenizer)
    checkEquals(tokens(got2), expected2, 
        "returns stemmed tokens with given tokenizer")

    got3 <- stem(corp)
    checkTrue(is(got3, "TokenizedCorpusView"), "returns tc view")
    checkEquals(sort(unique(got3)), sort(unique(expected1)), 
        "returns stemmed tokens")

    got4 <- stem(tokenize(doc, tokenizer))
    checkTrue(is(got4, "TokenizedDocumentView"), "returns td view")
    checkEquals(tokens(got4), expected2, 
        "returns stemmed tokens from td v with given tokenizer")

}
