\name{CorpusView-class}
\docType{class}
\alias{CorpusView-class}
\alias{corpus,CorpusView-method}
\alias{length,CorpusView-method}

\title{Class "CorpusView"}
\description{
    An abstract view of a \code{Corpus}. \code{CorpusView} classes are used
    to view the content of a \code{Corpus} in a new way.
}
\section{Objects from the Class}{A virtual Class: No objects may be created from it.}
\section{Slots}{
	 \describe{
    \item{\code{corpus}:}{The \code{Corpus} object that this is a view of}
  }
}
\section{Methods}{
  \describe{
    \item{corpus}{\code{signature(object = "CorpusView")}: Returns the \code{Corpus} object that this is a view of}
    \item{length}{\code{signature(x = "CorpusView")}: Returns the number of \code{Document} objects in the underlying \code{Corpus} object}
	 }
}
\author{tfader@iq.harvard.edu}
\note{
    \code{CorpusView} is an abstract class, so there can be no instances
    of it. It is used to define the basic functionality of a view of a 
    \code{Corpus} (that is, there should always be a way to get the original 
    \code{Corpus} object back through the \code{corpus} method) and to 
    provide a base class for all other implementations.

}

\seealso{
    \code{\linkS4class{Corpus}}
    \code{\linkS4class{TokenizedCorpusView}}
    \code{\linkS4class{TaggedCorpusView}}
}
\examples{
## Abstract class, see examples of implementing subclasses
}
\keyword{classes}
