\name{DirectoryCorpusReader-class}
\docType{class}
\alias{DirectoryCorpusReader-class}
\alias{fullNames<-,DirectoryCorpusReader,logical-method}
\alias{fullNames,DirectoryCorpusReader-method}
\alias{pattern<-,DirectoryCorpusReader,character-method}
\alias{pattern,DirectoryCorpusReader-method}
\alias{readCorpus,character,DirectoryCorpusReader-method}

\title{Class "DirectoryCorpusReader"}
\description{A \code{CorpusReader} that is used to read a directory of plain text files.}
\section{Objects from the Class}{
A \code{DirectoryCorpusReader} is used to read a directory of plain text files.
It can be passed as an argument to \code{readCorpus}. 
Objects can be created by calls of the form \code{DirectoryCorpusReader()}.
}
\section{Slots}{
	 \describe{
    \item{\code{pattern}:}{A pattern that the filenames should match to be included}
    \item{\code{fullNames}:}{A logical value that determines whether the full file paths should be set as the \code{Document} objects' ids}
  }
}
\section{Extends}{
Class \code{"\linkS4class{CorpusReader}"}, directly.
}
\section{Methods}{
  \describe{
    \item{fullNames<-}{\code{signature(object = "DirectoryCorpusReader", value = "logical")}: Sets whether the full file paths should be set as the \code{Document} objects' ids. If \code{FALSE}, then only the filename will be used.}
    \item{fullNames}{\code{signature(object = "DirectoryCorpusReader")}: Returns whether the full file paths should be set as the \code{Document} objects' ids.}
    \item{pattern<-}{\code{signature(object = "DirectoryCorpusReader", value = "character")}: Sets the pattern that filenames must match to be included in the \code{Corpus} object.}
    \item{pattern}{\code{signature(object = "DirectoryCorpusReader")}: Returns the pattern that filenames must match to be included in the \code{Corpus} object.}
    \item{readCorpus}{\code{signature(src = "character", format = "DirectoryCorpusReader")}: Reads the files in the given path into a \code{Corpus} object using the given \code{DirectoryCorpusReader} object.}
	 }
}
\author{tfader@iq.harvard.edu}
\seealso{
    \code{\link{readCorpus}}
    \code{\linkS4class{CorpusReader}}
    \code{\linkS4class{Corpus}}
    \code{\link{readDocument}}
}
\examples{
## See the examples for readCorpus
}
\keyword{classes}
