\name{DocumentView-class}
\docType{class}
\alias{DocumentView-class}
\alias{document,DocumentView-method}

\title{Class "DocumentView"}
\description{
    An abstract view of a \code{Document}. \code{DocumentView} classes 
    are used to view the content of a \code{Document} in a new way.
}
\section{Objects from the Class}{A virtual Class: No objects may be created from it.}
\section{Slots}{
	 \describe{
    \item{\code{document}:}{The \code{Document} object that this is a view of}
  }
}
\section{Methods}{
  \describe{
    \item{document}{\code{signature(object = "DocumentView")}: Returns the \code{Document} object that this is a view of}
	 }
}
\author{tfader@iq.harvard.edu}
\note{
    \code{DocumentView} is an abstract class, so there can be no instances
    of it. It is used to define the basic functionality of a view of a
    document (that is, there should always be a way to get the original
    document back through the \code{document} method) and to provide a
    base class for all other implementations.
}

\seealso{
    \code{linkS4class{Document}}
    \code{linkS4class{TokenizedDocumentView}}
    \code{linkS4class{TaggedDocumentView}}
}
\examples{
## Abstract class, see examples of implementing subclasses
}
\keyword{classes}
