\name{SnowballStemmer-class}
\docType{class}
\alias{SnowballStemmer-class}
\alias{language,SnowballStemmer-method}
\alias{stem,character,SnowballStemmer,Tokenizer-method}

\title{Class "SnowballStemmer"}
\description{A \code{Stemmer} wrapper of Rstem's Snowball stemmers. Implementations are available in multiple languages. Use Rstem's \code{getStemLanguages()} function to see a list.}
\section{Objects from the Class}
Objects can be created by calls of the form \code{SnowballStemmer(lang)}.
}
\section{Slots}{
	 \describe{
    \item{\code{language}:}{The language to stem}
  }
}
\section{Extends}{
Class \code{"\linkS4class{Stemmer}"}, directly.
}
\section{Methods}{
  \describe{
    \item{language}{\code{signature(object = "SnowballStemmer")}: Returns the language of the given \code{SnowballStemmer}.}
    \item{stem}{\code{signature(object = "character", stemmer = "SnowballStemmer", tokenizer = "Tokenizer")}: Stems the given \code{character} object using the given \code{SnowballStemmer}.}
	 }
}
\references{
    The Rstem package at \url{http://www.omegahat.org/Rstem/} and the 
    Snowball homepage at \url{http://snowball.tartarus.org/}. 
}
\author{tfader@iq.harvard.edu}
\seealso{
    \code{\link{stem}}
    \code{\linkS4class{Stemmer}}
}
\examples{
## Snowball stemmer with english is the default
ss.en <- SnowballStemmer("english")
stem("Two eggs, please.", ss.en)

## Other languages may be supported, see the Rstem
## documentation for more information
ss.es <- SnowballStemmer("spanish")
stem("Dos huevos, por favor.", ss.es)
}
\keyword{classes}
