\name{Stemmer-class}
\docType{class}
\alias{Stemmer-class}
\alias{stem,character,Stemmer,Tokenizer-method}
\alias{stem,TokenizedDocumentView,Stemmer,Tokenizer-method}
\alias{stem,TokenizedCorpusView,Stemmer,Tokenizer-method}
\alias{stem,Document,Stemmer,Tokenizer-method}
\alias{stem,Corpus,Stemmer,Tokenizer-method}
\alias{stem,ANY,Stemmer,missing-method}

\title{Class "Stemmer"}
\description{
    An abstract class representing stemmers. Stemmers are used to map words
    to a reduced form so that word with common roots are collapsed to the
    same value.
}
\section{Objects from the Class}{A virtual Class: No objects may be created from it.}
\section{Methods}{
  \describe{
    \item{stem}{\code{signature(object = "character", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Tokenizes and stems the given \code{character} object using the given \code{Tokenizer} and \code{Stemmer} objects.}
    \item{stem}{\code{signature(object = "TokenizedDocumentView", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Stems the given \code{TokenizedDocumentView} object using the given \code{Stemmer}.}
    \item{stem}{\code{signature(object = "TokenizedCorpusView", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Stems the given \code{TokenizedCorpusView} using the given \code{Stemmer}.}
    \item{stem}{\code{signature(object = "Document", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Tokenizes and stems the given \code{Document} object using the given \code{Tokenizer} and \code{Stemmer} objects.}
    \item{stem}{\code{signature(object = "Corpus", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Tokenizes and stems the given \code{Corpus} object using the given \code{Tokenizer} and \code{Stemmer} objects.}
    \item{stem}{\code{signature(object = "ANY", stemmer = "Stemmer", tokenizer = "missing")}: Stems the given object using the default \code{Tokenizer}.}
	 }
}
\author{tfader@iq.harvard.edu}
\seealso{
    \code{\link{stem}}
    \code{\linkS4class{SnowballStemmer}}
}
\examples{
## See the examples for stem
}
\keyword{classes}
