\name{Tokenizer-class}
\docType{class}
\alias{Tokenizer-class}
\alias{stem,character,SnowballStemmer,Tokenizer-method}
\alias{stem,character,Stemmer,Tokenizer-method}
\alias{stem,TokenizedDocumentView,Stemmer,Tokenizer-method}
\alias{stem,TokenizedCorpusView,Stemmer,Tokenizer-method}
\alias{stem,Document,Stemmer,Tokenizer-method}
\alias{stem,Corpus,Stemmer,Tokenizer-method}
\alias{stem,ANY,missing,Tokenizer-method}
\alias{tokenize,Document,Tokenizer-method}
\alias{tokenize,Corpus,Tokenizer-method}

\title{Class "Tokenizer"}
\description{An abstract class representing tokenizers. Tokenizers are used to split text into pieces called tokens.}
\section{Objects from the Class}{A virtual Class: No objects may be created from it.}
\section{Methods}{
  \describe{
    \item{stem}{\code{signature(object = "character", stemmer = "SnowballStemmer", tokenizer = "Tokenizer")}: Tokenizes and stems the given \code{character} object using the given \code{Tokenizer} and \code{SnowballStemmer} objects.}
    \item{stem}{\code{signature(object = "character", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Tokenizes and stems the given \code{character} object using the given \code{Tokenizer} and \code{Stemmer} objects.}
    \item{stem}{\code{signature(object = "Document", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Tokenizes and stems the given \code{Document} object using the given \code{Tokenizer} and \code{Stemmer} objects.}
    \item{stem}{\code{signature(object = "Corpus", stemmer = "Stemmer", tokenizer = "Tokenizer")}: Tokenizes and stems the given \code{Corpus} object using the given \code{Tokenizer} and \code{Stemmer} objects.}
    \item{tokenize}{\code{signature(object = "Document", tokenizer = "Tokenizer")}: Tokenizes the given \code{Document} object using the given \code{Tokenizer} object.}
    \item{tokenize}{\code{signature(object = "Corpus", tokenizer = "Tokenizer")}: Tokenizes the given \code{Corpus} object using the given \code{Tokenizer} object.}
	 }
}
\author{tfader@iq.harvard.edu}
\seealso{
    \code{\link{tokenize}}
    \code{\linkS4class{RegexTokenizer}}
}
\examples{
## Abstract class, see examples for implementing subclasses
}
\keyword{classes}
