\name{readDocument-methods}
\docType{methods}
\alias{readDocument-methods}
\alias{readDocument,ANY,TextDocumentReader-method}
\alias{readDocument,ANY,missing-method}
\title{Methods for Function readDocument in Package `text2num'} 
\description{
    A generic function for reading text into \code{Document} objects.
    The \code{src} argument describes where the text should be loaded
    from. The \code{format} argument describes how the text should be
    read. 

    Classes that are passed as the \code{format} argument should 
    be subclasses of \code{\linkS4class{DocumentReader}}. See its
    documentation for more information.
}
\section{Methods}{
\describe{

\item{src = "ANY", format = "TextDocumentReader"}{
    Reads text from \code{src} into a \code{Document} object using
    the given \code{TextDocumentReader}. \code{src} should either
    be a \code{connection} object or a \code{character} object
    that is a path to a file.

    See \code{\linkS4class{TextDocumentReader}} for more information
    on controling how a text file is read into a \code{Document} 
    object.
}

\item{src = "ANY", format = "missing"}{
    If the \code{format} argument is missing, \code{readDocument} will
    use the default \code{TextDocumentReader}.
}

}}
\keyword{methods}
