\name{tokenize-methods}
\docType{methods}
\alias{tokenize-methods}
\alias{tokenize,character,RegexTokenizer-method}
\alias{tokenize,character,PunktWordTokenizer-method}
\alias{tokenize,character,OffsetTokenizer-method}
\alias{tokenize,ANY,missing-method}
\alias{tokenize,Document,Tokenizer-method}
\alias{tokenize,Corpus,Tokenizer-method}
\title{Methods for Function tokenize in Package `text2num'} 
\description{
    \code{tokenize} is a generic function used to split a piece of
    text up into pieces.
}
\section{Methods}{
\describe{

\item{object = "character", tokenizer = "RegexTokenizer"}{ 
    Tokenizes the given \code{character} object into tokens using
    the given \code{RegexTokenizer}. See 
    \code{\linkS4class{RegexTokenizer}} for more information on how
    to customize the regular expression used.
}

\item{object = "character", tokenizer = "PunktWordTokenizer"}{
    See \code{\linkS4class{PunktWordTokenizer}}.
}

\item{object = "character", tokenizer = "OffsetTokenizer"}{
    See \code{\linkS4class{OffsetTokenizer}} for more information.
}

\item{object = "ANY", tokenizer = "missing"}{
    Tokenizes the given object using the default \code{RegexTokenizer}.
    See \code{\linkS4class{RegexTokenizer}} for more information on
    the default tokenizer.
}

\item{object = "Document", tokenizer = "Tokenizer"}{
    Tokenizes the text of the given \code{Document} object by calling
    \code{tokenize} on its content with the given \code{Tokenizer}. 
    Returns a \code{TokenizedDocumentView}. 
}

\item{object = "Corpus", tokenizer = "Tokenizer"}{
    Tokenizes the text of of the given \code{Corpus} object 
    by calling \code{tokenize} on each \code{Document} object 
    with the given \code{Tokenizer}. Returns a \code{TokenizedCorpusView}.
}
}}
\keyword{methods}
