# A counter closure, no need for serious OO here
.counter <- function (start = 0, inc = TRUE) {
  cnt <- start

  function () {
    cur <- cnt
    if (inc)
      cnt <<- cnt + 1
    else
      cnt <<- cnt - 1
    cur
  }
}

# Functions for creating document/corpus ids.  At the moment, it is
# implemented as a simple counter.
.setNextDocumentId <- .counter()
.setNextCorpusId <- .counter()


setClass("metadata", representation())

setClass("document", representation(id = "character"))

setMethod("initialize", "document", function(.Object, id = NULL) {
  if (is.null(id))
    .Object@id <- as.character(.setNextDocumentId())
  else
    .Object@id <- id
  .Object
})


setClass("corpus", representation(id = "character", 
         attributes = "metadata", reader = "corpus_reader",
         
