# A hash table class built on top of environments

setClass("hash", representation(env = "environment"),
         prototype(env = new.env(hash = T)))

setMethod("[", "hash", function(x, i, j, drop) {
  if (!missing(j)) {
    warning("second argument to [] ignored")
  }
  if (! is.character(i)) {
    stop("argument to [] much be character string")
  }

  res = try (get(i, x@env, inherits=FALSE), silent=T)
  if (inherits(res, "try-error"))
    return(NULL)

  return(res)
})

setGeneric("insert", function (x, key, value) {
  standardGeneric("insert")
})

setMethod("insert", "hash", function(x, key, value) {
  if (! is.character(key)) {
    stop("first argument to insert much be a character string")
  }

  assign(key, value, env=x@env)
})

setGeneric("delete", function(x, ...) {
  standardGeneric("delete")
})

setMethod("delete", "hash", function(x, ...) {
  rm(..., envir=x@env)
})

setReplaceMethod("[", "hash", function(x, i, j, value) {
  if (!missing(j)) {
    warning("second argument to [] ignored")
  }
  if (! is.character(i)) {
    stop("argument to [] much be character string")
  }

  insert(x, i, value)
  return(x)
})

setMethod("length", "hash", function(x) {
  return(length(x@env))
})

setMethod("exists", c("character", "hash", rep("missing", 4)), 
function(x, where) {
  exists(x, where@env)
})

setMethod("names", "hash", function (x) {
  ls(x@env)
})
  

xx <- new("hash")
#for (i in 1:1000) {
#  xx[paste(i)] <- i
#}
