dyn.load("hash_interface.so")
.Call("HASH_init");

setClass("hash", representation(ptr = "externalptr"))

setMethod("initialize", "hash", function(.Object) {
  .Object@ptr <- .Call("HASH_new")
  .Object
})

setMethod("[", "hash", function(x, i, j, drop) {
  if (!missing(j)) {
    warning("second argument to [] ignored")
  }
  if (! is.character(i)) {
    stop("argument to [] much be character string")
  }

  .Call("HASH_fetch", x@ptr, i)
})

setGeneric("insert", function (x, key, value) {
  standardGeneric("insert")
})

setMethod("insert", "hash", function(x, key, value) {
  if (! is.character(key)) {
    stop("first argument to insert much be a character string")
  }

  .Call("HASH_insert", x@ptr, key, value)
})
 
setReplaceMethod("[", "hash", function(x, i, j, value) {
  if (!missing(j)) {
    warning("second argument to [] ignored")
  }
  if (! is.character(i)) {
    stop("argument to [] much be character string")
  }

  insert(x, i, value)

  return(x)
})

setGeneric("size", function(x) {
  standardGeneric("size")
})

setMethod("size", "hash", function(x) {
  .Call("HASH_size", x@ptr)
})

xx <- new("hash")
for (i in 1:1000) {
  xx[paste(i)] <- i
}
