dyn.load("src/embed_nltk.so")

.Call("init_python")

orig <- c("The", "at", "Fulton", "np-tl", "Country", "nn-tl",
"Grand", "jj-tl", "Jury", "nn-tl", "said", "vbd", "Friday", "nr",
"an", "at", "investigation", "nn", "of", "in", "Atlanta's", "np$",
"recent", "jj", "primary", "nn", "election", "nn", "produced", "vbd",
"''", "''", "no", "at", "evidence", "nn", "''", "''", "that", "cs",
"any", "dti", "irregularities", "nns", "took", "vbd", "place", "nn",
".", ".")

test <- orig[seq(1,49,2)]

# Notice is missing the word any, for backoff check
train <- list(list("The", "AT"), list("Fulton", "NP-TL"),
list("Country", "NN-Tl"), list("Grand", "JJ-TL"), list("Jury",
"NN-TL"), list("said", "VBD"), list("Friday", "NR"), list("an", "AT"),
list("investigation", "NN"), list("of", "IN"), list("Atlanta's",
"NP$"), list("recent", "JJ"), list("primary", "NN"), list("election",
"NN"), list("produced", "VBD"), list("''", "''"), list("no", "AT"),
list("evidence", "NN"), list("''", "''"), list("that", "CS"),
list("irregularities", "NNS"), list("took",
"VBD"), list("place", "NN"), list(".", "."))

train <- list(train, train)

regexp <- list(
  list('^-?[0-9]+(.[0-9]+)?$', 'CD'),   # cardinal numbers
  list('^(The|the|A|a|An|an)$', 'AT'),  # articles
  list('.*able$', 'JJ'),                # adjectives
  list('.*ness$', 'NN'),                # nouns formed from adjectives
  list('.*ly$', 'RB'),                  # adverbs
  list('.*s$', 'NNS'),                  # plural nouns
  list('.*ing$', 'VBG'),                # gerunds
  list('.*ed$', 'VBD'),                 # past tense verbs
  list('.*', 'NN')                      # nouns (default)
)

print("Unigram")
utagger <- .Call("construct_unigram_tagger", train, NA)
utagged <- .Call("tag", utagger, test)

print("Regexp")
rtagger <- .Call("construct_regexp_tagger", regexp, NA)
rtagged <- .Call("tag", rtagger, test)

print("Unigram2")
utagger <- .Call("construct_unigram_tagger", train, rtagger)
utagged2 <- .Call("tag", utagger, test)

print("Regexp after working as backup")
rtagged2 <- .Call("tag", rtagger, test)

print("Bigram") # need more text for this to work well, but runs
btagger <- .Call("construct_bigram_tagger", train, rtagger, 
                 as.integer(1))
btagged <- .Call("tag", btagger, test)

print("Trigram") # need more text for this to work well, but runs
ttagger <- .Call("construct_trigram_tagger", train, rtagger, 
                 as.integer(1))
ttagged <- .Call("tag", ttagger, test)

print("Ngram") # need more text for this to work well, but runs
ntagger <- .Call("construct_ngram_tagger", as.integer(4), train, 
                 rtagger, as.integer(1))
ntagged <- .Call("tag", ntagger, test)

.Call("finalize_python")
